FROM alpine:latest

RUN apk add -U wireguard-tools
COPY wg0.conf /etc/wireguard/wg0.conf

CMD wg-quick up wg0 && \
    wg set wg0 peer 'lvghTtIHSXzOfpruVHtRnnAiZJeUi8A6lzhE21GSJjA=' allowed-ips 10.10.0.2/32 && \
    watch -n 1 wg
